from machine import Pin
import time

# Setup pin modes
button = Pin(0, Pin.IN, Pin.PULL_UP)  # GPIO 6 (D6 pin) as input with internal pull-up resistor
led = Pin(28, Pin.OUT)                 # GPIO 2 (D2 pin) as output

while True:
    # Read the state of the button
    button_state = button.value()
    
    # If the button is pressed, the button_state will be 0 (since we use a pull-up resistor)
    if button_state == 1:
        led.value(1)  # Turn LED on
    else:
        led.value(0)  # Turn LED off
    
    time.sleep(0.01)  # Delay a little bit to improve simulation performance